add mod_security back to nginx-1.4.6-18.el6.art.x86_64

Requests for RPMS, or new coding projects related to server administration, Plesk, security, or anything else you can think of.
mmpower
New Forum User
New Forum User
Posts: 2
Joined: Thu Apr 10, 2014 11:56 am
Location: VA

add mod_security back to nginx-1.4.6-18.el6.art.x86_64

Unread post by mmpower »

I have been using nginx from atomic which has mod_security support. but when I upgraded from nginx 1.4.4 to 1.4.7, seems mod_security is gone and I got error
"Starting nginx: nginx: [emerg] unknown directive "ModSecurityEnabled" in /etc/nginx/conf.d/default.conf:"

I had to downgrade nginx all the way to 1.4.5 version and it worked again. so seems the support was removed since 1.4.6 version. Could you add mod_security back in nginx el6 packages?
scott
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 8330
Joined: Wed Dec 31, 1969 8:00 pm
Location: earth
Contact:

Re: add mod_security back to nginx-1.4.6-18.el6.art.x86_64

Unread post by scott »

well thats weird. Somehow it got turned off in el6 when we got it to work el5.
scott
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 8330
Joined: Wed Dec 31, 1969 8:00 pm
Location: earth
Contact:

Re: add mod_security back to nginx-1.4.6-18.el6.art.x86_64

Unread post by scott »

-20 is going up now, let me know if that squares it away for you. Thanks!
Post Reply